/*===========================================================================*/
/*   (Inline/walk.scm)                                                       */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Inline/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_feffectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_readz00;
   obj_t BgL_writez00;
} *BgL_feffectz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


static obj_t BGl__resetzd2statz12zc0zzinline_walkz00(obj_t);
BGL_IMPORT double BGl_roundflz00zz__r4_numbers_6_5_flonumz00(double);
static obj_t BGl_methodzd2initzd2zzinline_walkz00();
BGL_IMPORT obj_t open_input_string(obj_t);
static obj_t BGl__showzd2statz12zc0zzinline_walkz00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl__inlinezd2setupz123190zc0zzinline_walkz00(obj_t, obj_t);
extern obj_t BGl_za2inliningzd2kfactorza2zd2zzengine_paramz00;
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
BGL_IMPORT obj_t string_to_bstring(char *);
BGL_EXPORTED_DEF obj_t BGl_za2inlinezd2modeza2zd2zzinline_walkz00 = BUNSPEC;
static obj_t BGl__inlinezd2walkz123186zc0zzinline_walkz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_za2kfactorza2z00zzinline_walkz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_inlinezd2setupz12zc0zzinline_walkz00(obj_t);
BGL_IMPORT obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
static obj_t BGl_cnstzd2initzd2zzinline_walkz00();
static obj_t BGl_resetzd2statz12zc0zzinline_walkz00();
extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
BGL_IMPORT obj_t BGl_displayzd22zd2zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
static obj_t BGl_importedzd2moduleszd2initz00zzinline_walkz00();
extern obj_t BGl_inlinezd2sfunz12zc0zzinline_inlinez00(BgL_variablez00_bglt, long, obj_t);
BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zzinline_walkz00();
BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
extern obj_t BGl_za2optimza2z00zzengine_paramz00;
BGL_EXPORTED_DECL obj_t BGl_inlinezd2walkz12zc0zzinline_walkz00(obj_t, obj_t);
extern obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
BGL_IMPORT obj_t display_string(obj_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
static bool_t BGl_showzd2statz12zc0zzinline_walkz00();
static obj_t BGl_requirezd2initializa7ationz75zzinline_walkz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00 = BUNSPEC;
BGL_IMPORT bool_t BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_za2inlinedzd2callsza2zd2zzinline_walkz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzinline_walkz00();
static obj_t __cnst[ 8 ] ;


DEFINE_STATIC_PROCEDURE( BGl_resetzd2statz12zd2envz12zzinline_walkz00, BgL_bgl__resetza7d2statza712za7c0za7za7inline_walkza7003276z00, BGl__resetzd2statz12zc0zzinline_walkz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_inlinezd2setupz12zd2envz12zzinline_walkz00, BgL_bgl__inlineza7d2setupza7123190za7c0za7za7inline_walkza7003277z00, BGl__inlinezd2setupz123190zc0zzinline_walkz00, 0L, 1 );
DEFINE_STRING( BGl_string3245z00zzinline_walkz00, BgL_bgl_string3245za700za7za7inline_walkza7003278z00, "predicate reducer (show-stat!) inline sifun (reset-stat!) pass-started all ", 75 );
DEFINE_STRING( BGl_string3244z00zzinline_walkz00, BgL_bgl_string3244za700za7za7inline_walkza7003279z00, "Illegal mode", 12 );
DEFINE_STRING( BGl_string3243z00zzinline_walkz00, BgL_bgl_string3243za700za7za7inline_walkza7003280z00, "inline-setup!", 13 );
DEFINE_STRING( BGl_string3242z00zzinline_walkz00, BgL_bgl_string3242za700za7za7inline_walkza7003281z00, "      (non inlined calls : ", 27 );
DEFINE_STRING( BGl_string3241z00zzinline_walkz00, BgL_bgl_string3241za700za7za7inline_walkza7003282z00, "      (inlined calls     : ", 27 );
DEFINE_STRING( BGl_string3240z00zzinline_walkz00, BgL_bgl_string3240za700za7za7inline_walkza7003283z00, ")\n", 2 );
DEFINE_STRING( BGl_string3239z00zzinline_walkz00, BgL_bgl_string3239za700za7za7inline_walkza7003284z00, "failure during postlude hook", 28 );
DEFINE_STRING( BGl_string3238z00zzinline_walkz00, BgL_bgl_string3238za700za7za7inline_walkza7003285z00, " occured, ending ...", 20 );
DEFINE_STRING( BGl_string3237z00zzinline_walkz00, BgL_bgl_string3237za700za7za7inline_walkza7003286z00, " error", 6 );
DEFINE_STRING( BGl_string3236z00zzinline_walkz00, BgL_bgl_string3236za700za7za7inline_walkza7003287z00, "failure during prelude hook", 27 );
DEFINE_STRING( BGl_string3235z00zzinline_walkz00, BgL_bgl_string3235za700za7za7inline_walkza7003288z00, "   . ", 5 );
DEFINE_STRING( BGl_string3234z00zzinline_walkz00, BgL_bgl_string3234za700za7za7inline_walkza7003289z00, "Inlining", 8 );
DEFINE_EXPORT_PROCEDURE( BGl_inlinezd2walkz12zd2envz12zzinline_walkz00, BgL_bgl__inlineza7d2walkza7123186za7c0za7za7inline_walkza7003290z00, BGl__inlinezd2walkz123186zc0zzinline_walkz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_showzd2statz12zd2envz12zzinline_walkz00, BgL_bgl__showza7d2statza712za7c0za7za7inline_walkza7003291z00, BGl__showzd2statz12zc0zzinline_walkz00, 0L, 0 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long BgL_checksumz00_1160, char * BgL_fromz00_1161)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzinline_walkz00))
{ 
BGl_requirezd2initializa7ationz75zzinline_walkz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzinline_walkz00(); 
BGl_cnstzd2initzd2zzinline_walkz00(); 
BGl_importedzd2moduleszd2initz00zzinline_walkz00(); 
BGl_toplevelzd2initzd2zzinline_walkz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzinline_walkz00()
{ AN_OBJECT;
{ /* ./Inline/walk.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)0), "inline_walk"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "inline_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "inline_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "inline_walk"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "inline_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "inline_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "inline_walk"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzinline_walkz00()
{ AN_OBJECT;
{ /* ./Inline/walk.scm 15 */
{ /* ./Inline/walk.scm 15 */
obj_t BgL_cportz00_1153;
BgL_cportz00_1153 = 
open_input_string(BGl_string3245z00zzinline_walkz00); 
{ 
long BgL_iz00_1154;
BgL_iz00_1154 = ((long)7); 
BgL_loopz00_1155:
{ /* ./Inline/walk.scm 15 */
bool_t BgL_test3247z00_1156;
BgL_test3247z00_1156 = 
(BgL_iz00_1154==((long)-1)); 
if(BgL_test3247z00_1156)
{ /* ./Inline/walk.scm 15 */
return BUNSPEC;}  else 
{ /* ./Inline/walk.scm 15 */
{ /* ./Inline/walk.scm 15 */
obj_t BgL_arg3249z00_1157;
{ /* ./Inline/walk.scm 15 */
obj_t BgL_list3252z00_1158;
BgL_list3252z00_1158 = 
MAKE_PAIR(BgL_cportz00_1153, BNIL); 
BgL_arg3249z00_1157 = 
BGl_readz00zz__readerz00(BgL_list3252z00_1158); } 
{ /* ./Inline/walk.scm 15 */
int BgL_auxz00_1181;
BgL_auxz00_1181 = 
(int)(BgL_iz00_1154); 
CNST_TABLE_SET(BgL_auxz00_1181, BgL_arg3249z00_1157); } } 
{ /* ./Inline/walk.scm 15 */
int BgL_auxz00_1159;
{ /* ./Inline/walk.scm 15 */
long BgL_auxz00_1184;
BgL_auxz00_1184 = 
(BgL_iz00_1154-((long)1)); 
BgL_auxz00_1159 = 
(int)(BgL_auxz00_1184); } 
{ 
long BgL_iz00_1187;
BgL_iz00_1187 = 
(long)(BgL_auxz00_1159); 
BgL_iz00_1154 = BgL_iz00_1187; 
goto BgL_loopz00_1155;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzinline_walkz00()
{ AN_OBJECT;
{ /* ./Inline/walk.scm 15 */
BGl_za2inlinezd2modeza2zd2zzinline_walkz00 = 
CNST_TABLE_REF(((long)0)); 
BGl_za2inlinedzd2callsza2zd2zzinline_walkz00 = 
BINT(((long)0)); 
BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00 = 
BINT(((long)0)); 
return ( 
BGl_za2kfactorza2z00zzinline_walkz00 = 
BINT(((long)1)), BUNSPEC) ;} 
}



/* inline-walk! */
BGL_EXPORTED_DEF obj_t BGl_inlinezd2walkz12zc0zzinline_walkz00(obj_t BgL_globalsz00_1, obj_t BgL_whatz00_2)
{ AN_OBJECT;
{ /* ./Inline/walk.scm 40 */
{ /* ./Inline/walk.scm 41 */
obj_t BgL_list2686z00_671;
{ /* ./Inline/walk.scm 41 */
obj_t BgL_arg2689z00_673;
{ /* ./Inline/walk.scm 41 */
obj_t BgL_arg2693z00_675;
{ /* ./Inline/walk.scm 41 */
obj_t BgL_auxz00_1193;
BgL_auxz00_1193 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2693z00_675 = 
MAKE_PAIR(BgL_auxz00_1193, BNIL); } 
BgL_arg2689z00_673 = 
MAKE_PAIR(BGl_string3234z00zzinline_walkz00, BgL_arg2693z00_675); } 
BgL_list2686z00_671 = 
MAKE_PAIR(BGl_string3235z00zzinline_walkz00, BgL_arg2689z00_673); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list2686z00_671); } 
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(((long)0)); 
BGl_za2currentzd2passza2zd2zzengine_passz00 = BGl_string3234z00zzinline_walkz00; 
{ 
obj_t BgL_hooksz00_676;obj_t BgL_hnamesz00_677;
{ /* ./Inline/walk.scm 41 */
obj_t BgL_arg2697z00_679;obj_t BgL_arg2698z00_680;
{ /* ./Inline/walk.scm 41 */
obj_t BgL_list2701z00_681;
BgL_list2701z00_681 = 
MAKE_PAIR(BGl_resetzd2statz12zd2envz12zzinline_walkz00, BNIL); 
BgL_arg2697z00_679 = BgL_list2701z00_681; } 
BgL_arg2698z00_680 = 
CNST_TABLE_REF(((long)2)); 
BgL_hooksz00_676 = BgL_arg2697z00_679; 
BgL_hnamesz00_677 = BgL_arg2698z00_680; 
BgL_loopz00_678:
{ /* ./Inline/walk.scm 41 */
bool_t BgL_test2703z00_682;
BgL_test2703z00_682 = 
NULLP(BgL_hooksz00_676); 
if(BgL_test2703z00_682)
{ /* ./Inline/walk.scm 41 */
CNST_TABLE_REF(((long)1)); }  else 
{ /* ./Inline/walk.scm 41 */
bool_t BgL_test2704z00_683;
{ /* ./Inline/walk.scm 41 */
obj_t BgL_fun2719z00_689;
BgL_fun2719z00_689 = 
CAR(BgL_hooksz00_676); 
{ /* ./Inline/walk.scm 41 */
obj_t BgL_auxz00_1207;
BgL_auxz00_1207 = 
PROCEDURE_ENTRY(BgL_fun2719z00_689)(BgL_fun2719z00_689, BEOA); 
BgL_test2704z00_683 = 
CBOOL(BgL_auxz00_1207); } } 
if(BgL_test2704z00_683)
{ /* ./Inline/walk.scm 41 */
{ /* ./Inline/walk.scm 41 */
obj_t BgL_arg2706z00_684;obj_t BgL_arg2707z00_685;
BgL_arg2706z00_684 = 
CDR(BgL_hooksz00_676); 
BgL_arg2707z00_685 = 
CDR(BgL_hnamesz00_677); 
{ 
obj_t BgL_hnamesz00_1215;obj_t BgL_hooksz00_1214;
BgL_hooksz00_1214 = BgL_arg2706z00_684; 
BgL_hnamesz00_1215 = BgL_arg2707z00_685; 
BgL_hnamesz00_677 = BgL_hnamesz00_1215; 
BgL_hooksz00_676 = BgL_hooksz00_1214; 
goto BgL_loopz00_678;} } }  else 
{ /* ./Inline/walk.scm 41 */
{ /* ./Inline/walk.scm 41 */
obj_t BgL_arg2714z00_688;
BgL_arg2714z00_688 = 
CAR(BgL_hnamesz00_677); 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3234z00zzinline_walkz00, BGl_string3236z00zzinline_walkz00, BgL_arg2714z00_688); } } } } } } 
BGl_inlinezd2setupz12zc0zzinline_walkz00(BgL_whatz00_2); 
{ 
obj_t BgL_l2682z00_690;
BgL_l2682z00_690 = BgL_globalsz00_1; 
BgL_forzd2each2683zd2_691:
{ /* ./Inline/walk.scm 46 */
bool_t BgL_test2724z00_692;
BgL_test2724z00_692 = 
PAIRP(BgL_l2682z00_690); 
if(BgL_test2724z00_692)
{ /* ./Inline/walk.scm 46 */
{ /* ./Inline/walk.scm 47 */
obj_t BgL_gz00_693;
BgL_gz00_693 = 
CAR(BgL_l2682z00_690); 
{ /* ./Inline/walk.scm 47 */
obj_t BgL_kfactorz00_694;
{ /* ./Inline/walk.scm 47 */
bool_t BgL_test2731z00_696;
{ /* ./Inline/walk.scm 47 */
obj_t BgL_auxz00_1228;obj_t BgL_auxz00_1222;
BgL_auxz00_1228 = 
CNST_TABLE_REF(((long)3)); 
{ /* ./Inline/walk.scm 47 */
BgL_sfunz00_bglt BgL_obj1374z00_1120;
{ /* ./Inline/walk.scm 47 */
BgL_valuez00_bglt BgL_auxz00_1223;
{ /* ./Inline/walk.scm 47 */
BgL_variablez00_bglt BgL_obj1100z00_1119;
BgL_obj1100z00_1119 = 
(BgL_variablez00_bglt)(BgL_gz00_693); 
BgL_auxz00_1223 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_1119))->BgL_valuez00); } 
BgL_obj1374z00_1120 = 
(BgL_sfunz00_bglt)(BgL_auxz00_1223); } 
BgL_auxz00_1222 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1374z00_1120))->BgL_classz00); } 
BgL_test2731z00_696 = 
(BgL_auxz00_1222==BgL_auxz00_1228); } 
if(BgL_test2731z00_696)
{ /* ./Inline/walk.scm 47 */
BgL_kfactorz00_694 = 
BINT(((long)1)); }  else 
{ /* ./Inline/walk.scm 47 */
BgL_kfactorz00_694 = BGl_za2kfactorza2z00zzinline_walkz00; } } 
{ /* ./Inline/walk.scm 53 */
obj_t BgL_arg2726z00_695;
{ /* ./Inline/walk.scm 53 */
BgL_variablez00_bglt BgL_obj1093z00_1121;
BgL_obj1093z00_1121 = 
(BgL_variablez00_bglt)(BgL_gz00_693); 
BgL_arg2726z00_695 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1093z00_1121))->BgL_idz00); } 
BGl_enterzd2functionzd2zztools_errorz00(BgL_arg2726z00_695); } 
BGl_inlinezd2sfunz12zc0zzinline_inlinez00(
(BgL_variablez00_bglt)(BgL_gz00_693), 
(long)CINT(BgL_kfactorz00_694), BNIL); 
BGl_leavezd2functionzd2zztools_errorz00(); } } 
{ /* ./Inline/walk.scm 46 */
obj_t BgL_arg2742z00_700;
BgL_arg2742z00_700 = 
CDR(BgL_l2682z00_690); 
{ 
obj_t BgL_l2682z00_1241;
BgL_l2682z00_1241 = BgL_arg2742z00_700; 
BgL_l2682z00_690 = BgL_l2682z00_1241; 
goto BgL_forzd2each2683zd2_691;} } }  else 
{ /* ./Inline/walk.scm 46 */((bool_t)1); } } } 
{ 
obj_t BgL_globalsz00_701;obj_t BgL_newzd2globalszd2_702;
BgL_globalsz00_701 = BgL_globalsz00_1; 
BgL_newzd2globalszd2_702 = BNIL; 
BgL_loopz00_703:
{ /* ./Inline/walk.scm 61 */
bool_t BgL_test2747z00_704;
BgL_test2747z00_704 = 
NULLP(BgL_globalsz00_701); 
if(BgL_test2747z00_704)
{ /* ./Inline/walk.scm 61 */
{ /* ./Inline/walk.scm 62 */
obj_t BgL_valuez00_705;
{ /* ./Inline/walk.scm 62 */
obj_t BgL_arg2792z00_725;obj_t BgL_arg2793z00_726;
BgL_arg2792z00_725 = 
CNST_TABLE_REF(((long)4)); 
BgL_arg2793z00_726 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_newzd2globalszd2_702); 
BgL_valuez00_705 = 
BGl_removezd2varzd2zzast_removez00(BgL_arg2792z00_725, BgL_arg2793z00_726); } 
{ /* ./Inline/walk.scm 62 */
bool_t BgL_test2748z00_706;
{ /* ./Inline/walk.scm 62 */
long BgL_n1z00_1124;
BgL_n1z00_1124 = 
(long)CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00); 
BgL_test2748z00_706 = 
(BgL_n1z00_1124>((long)0)); } 
if(BgL_test2748z00_706)
{ /* ./Inline/walk.scm 62 */
{ /* ./Inline/walk.scm 62 */
obj_t BgL_port2684z00_707;
BgL_port2684z00_707 = 
BGL_CURRENT_ERROR_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, BgL_port2684z00_707); 
display_string(BGl_string3237z00zzinline_walkz00, BgL_port2684z00_707); 
{ /* ./Inline/walk.scm 62 */
char * BgL_arg2752z00_708;
{ /* ./Inline/walk.scm 62 */
bool_t BgL_test2754z00_709;
{ /* ./Inline/walk.scm 62 */
bool_t BgL_test2755z00_710;
{ /* ./Inline/walk.scm 62 */
bool_t BgL_res3184z00_1132;
{ /* ./Inline/walk.scm 62 */
obj_t BgL_objz00_1126;
BgL_objz00_1126 = BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00; 
{ /* ./Inline/walk.scm 62 */
bool_t BgL_test1396z00_1127;
BgL_test1396z00_1127 = 
INTEGERP(BgL_objz00_1126); 
if(BgL_test1396z00_1127)
{ /* ./Inline/walk.scm 62 */
BgL_res3184z00_1132 = ((bool_t)1); }  else 
{ /* ./Inline/walk.scm 62 */
bool_t BgL_test1397z00_1128;
BgL_test1397z00_1128 = 
REALP(BgL_objz00_1126); 
if(BgL_test1397z00_1128)
{ /* ./Inline/walk.scm 62 */
double BgL_arg1399z00_1129;
BgL_arg1399z00_1129 = 
BGl_roundflz00zz__r4_numbers_6_5_flonumz00(
REAL_TO_DOUBLE(BgL_objz00_1126)); 
{ /* ./Inline/walk.scm 62 */
double BgL_auxz00_1259;
BgL_auxz00_1259 = 
REAL_TO_DOUBLE(BgL_objz00_1126); 
BgL_res3184z00_1132 = 
(BgL_auxz00_1259==BgL_arg1399z00_1129); } }  else 
{ /* ./Inline/walk.scm 62 */
BgL_res3184z00_1132 = ((bool_t)0); } } } } 
BgL_test2755z00_710 = BgL_res3184z00_1132; } 
if(BgL_test2755z00_710)
{ /* ./Inline/walk.scm 62 */
BgL_test2754z00_709 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, 
BINT(((long)1))); }  else 
{ /* ./Inline/walk.scm 62 */
BgL_test2754z00_709 = ((bool_t)0); } } 
if(BgL_test2754z00_709)
{ /* ./Inline/walk.scm 62 */
BgL_arg2752z00_708 = "s"; }  else 
{ /* ./Inline/walk.scm 62 */
BgL_arg2752z00_708 = ""; } } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(
string_to_bstring(BgL_arg2752z00_708), BgL_port2684z00_707); } 
display_string(BGl_string3238z00zzinline_walkz00, BgL_port2684z00_707); 
WRITE_CHAR(((unsigned char)'\n'), BgL_port2684z00_707); } 
{ /* ./Inline/walk.scm 62 */
obj_t BgL_list2762z00_711;
{ /* ./Inline/walk.scm 62 */
obj_t BgL_auxz00_1270;
BgL_auxz00_1270 = 
BINT(((long)-1)); 
BgL_list2762z00_711 = 
MAKE_PAIR(BgL_auxz00_1270, BNIL); } 
return 
BGl_exitz00zz__errorz00(BgL_list2762z00_711);} }  else 
{ 
obj_t BgL_hooksz00_712;obj_t BgL_hnamesz00_713;
{ /* ./Inline/walk.scm 62 */
obj_t BgL_arg2765z00_715;obj_t BgL_arg2766z00_716;
{ /* ./Inline/walk.scm 62 */
obj_t BgL_list2769z00_717;
BgL_list2769z00_717 = 
MAKE_PAIR(BGl_showzd2statz12zd2envz12zzinline_walkz00, BNIL); 
BgL_arg2765z00_715 = BgL_list2769z00_717; } 
BgL_arg2766z00_716 = 
CNST_TABLE_REF(((long)5)); 
BgL_hooksz00_712 = BgL_arg2765z00_715; 
BgL_hnamesz00_713 = BgL_arg2766z00_716; 
BgL_loopz00_714:
{ /* ./Inline/walk.scm 62 */
bool_t BgL_test2771z00_718;
BgL_test2771z00_718 = 
NULLP(BgL_hooksz00_712); 
if(BgL_test2771z00_718)
{ /* ./Inline/walk.scm 62 */
return BgL_valuez00_705;}  else 
{ /* ./Inline/walk.scm 62 */
bool_t BgL_test2772z00_719;
{ /* ./Inline/walk.scm 62 */
obj_t BgL_fun2787z00_724;
BgL_fun2787z00_724 = 
CAR(BgL_hooksz00_712); 
{ /* ./Inline/walk.scm 62 */
obj_t BgL_auxz00_1279;
BgL_auxz00_1279 = 
PROCEDURE_ENTRY(BgL_fun2787z00_724)(BgL_fun2787z00_724, BEOA); 
BgL_test2772z00_719 = 
CBOOL(BgL_auxz00_1279); } } 
if(BgL_test2772z00_719)
{ /* ./Inline/walk.scm 62 */
{ /* ./Inline/walk.scm 62 */
obj_t BgL_arg2774z00_720;obj_t BgL_arg2775z00_721;
BgL_arg2774z00_720 = 
CDR(BgL_hooksz00_712); 
BgL_arg2775z00_721 = 
CDR(BgL_hnamesz00_713); 
{ 
obj_t BgL_hnamesz00_1287;obj_t BgL_hooksz00_1286;
BgL_hooksz00_1286 = BgL_arg2774z00_720; 
BgL_hnamesz00_1287 = BgL_arg2775z00_721; 
BgL_hnamesz00_713 = BgL_hnamesz00_1287; 
BgL_hooksz00_712 = BgL_hooksz00_1286; 
goto BgL_loopz00_714;} } }  else 
{ /* ./Inline/walk.scm 62 */
{ /* ./Inline/walk.scm 62 */
obj_t BgL_arg2781z00_723;
BgL_arg2781z00_723 = 
CAR(BgL_hnamesz00_713); 
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_za2currentzd2passza2zd2zzengine_passz00, BGl_string3239z00zzinline_walkz00, BgL_arg2781z00_723);} } } } } } } } }  else 
{ /* ./Inline/walk.scm 64 */
bool_t BgL_test2796z00_727;
{ /* ./Inline/walk.scm 64 */
obj_t BgL_arg2811z00_732;
{ /* ./Inline/walk.scm 64 */
BgL_globalz00_bglt BgL_obj1165z00_1142;
{ /* ./Inline/walk.scm 64 */
obj_t BgL_auxz00_1290;
BgL_auxz00_1290 = 
CAR(BgL_globalsz00_701); 
BgL_obj1165z00_1142 = 
(BgL_globalz00_bglt)(BgL_auxz00_1290); } 
BgL_arg2811z00_732 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1165z00_1142))->BgL_modulez00); } 
BgL_test2796z00_727 = 
(BgL_arg2811z00_732==BGl_za2moduleza2z00zzmodule_modulez00); } 
if(BgL_test2796z00_727)
{ /* ./Inline/walk.scm 64 */
{ /* ./Inline/walk.scm 65 */
obj_t BgL_arg2798z00_728;obj_t BgL_arg2799z00_729;
BgL_arg2798z00_728 = 
CDR(BgL_globalsz00_701); 
{ /* ./Inline/walk.scm 65 */
obj_t BgL_arg2803z00_730;
BgL_arg2803z00_730 = 
CAR(BgL_globalsz00_701); 
BgL_arg2799z00_729 = 
MAKE_PAIR(BgL_arg2803z00_730, BgL_newzd2globalszd2_702); } 
{ 
obj_t BgL_newzd2globalszd2_1300;obj_t BgL_globalsz00_1299;
BgL_globalsz00_1299 = BgL_arg2798z00_728; 
BgL_newzd2globalszd2_1300 = BgL_arg2799z00_729; 
BgL_newzd2globalszd2_702 = BgL_newzd2globalszd2_1300; 
BgL_globalsz00_701 = BgL_globalsz00_1299; 
goto BgL_loopz00_703;} } }  else 
{ /* ./Inline/walk.scm 64 */
{ /* ./Inline/walk.scm 67 */
obj_t BgL_arg2807z00_731;
BgL_arg2807z00_731 = 
CDR(BgL_globalsz00_701); 
{ 
obj_t BgL_globalsz00_1302;
BgL_globalsz00_1302 = BgL_arg2807z00_731; 
BgL_globalsz00_701 = BgL_globalsz00_1302; 
goto BgL_loopz00_703;} } } } } } } 
}



/* _inline-walk!3186 */
obj_t BGl__inlinezd2walkz123186zc0zzinline_walkz00(obj_t BgL_envz00_1146, obj_t BgL_globalsz00_1147, obj_t BgL_whatz00_1148)
{ AN_OBJECT;
{ /* ./Inline/walk.scm 40 */
return 
BGl_inlinezd2walkz12zc0zzinline_walkz00(BgL_globalsz00_1147, BgL_whatz00_1148);} 
}



/* reset-stat! */
obj_t BGl_resetzd2statz12zc0zzinline_walkz00()
{ AN_OBJECT;
{ /* ./Inline/walk.scm 78 */
BGl_za2inlinedzd2callsza2zd2zzinline_walkz00 = 
BINT(((long)0)); 
return ( 
BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00 = 
BINT(((long)0)), BUNSPEC) ;} 
}



/* _reset-stat! */
obj_t BGl__resetzd2statz12zc0zzinline_walkz00(obj_t BgL_envz00_1149)
{ AN_OBJECT;
{ /* ./Inline/walk.scm 78 */
return 
BGl_resetzd2statz12zc0zzinline_walkz00();} 
}



/* show-stat! */
bool_t BGl_showzd2statz12zc0zzinline_walkz00()
{ AN_OBJECT;
{ /* ./Inline/walk.scm 85 */
{ /* ./Inline/walk.scm 86 */
obj_t BgL_list2819z00_734;
{ /* ./Inline/walk.scm 86 */
obj_t BgL_arg2822z00_736;
{ /* ./Inline/walk.scm 86 */
obj_t BgL_arg2825z00_737;
BgL_arg2825z00_737 = 
MAKE_PAIR(BGl_string3240z00zzinline_walkz00, BNIL); 
BgL_arg2822z00_736 = 
MAKE_PAIR(BGl_za2inlinedzd2callsza2zd2zzinline_walkz00, BgL_arg2825z00_737); } 
BgL_list2819z00_734 = 
MAKE_PAIR(BGl_string3241z00zzinline_walkz00, BgL_arg2822z00_736); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list2819z00_734); } 
{ /* ./Inline/walk.scm 87 */
obj_t BgL_list2829z00_738;
{ /* ./Inline/walk.scm 87 */
obj_t BgL_arg2832z00_740;
{ /* ./Inline/walk.scm 87 */
obj_t BgL_arg2835z00_741;
BgL_arg2835z00_741 = 
MAKE_PAIR(BGl_string3240z00zzinline_walkz00, BNIL); 
BgL_arg2832z00_740 = 
MAKE_PAIR(BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00, BgL_arg2835z00_741); } 
BgL_list2829z00_738 = 
MAKE_PAIR(BGl_string3242z00zzinline_walkz00, BgL_arg2832z00_740); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list2829z00_738); } 
return ((bool_t)1);} 
}



/* _show-stat! */
obj_t BGl__showzd2statz12zc0zzinline_walkz00(obj_t BgL_envz00_1150)
{ AN_OBJECT;
{ /* ./Inline/walk.scm 85 */
{ /* ./Inline/walk.scm 86 */
bool_t BgL_auxz00_1317;
BgL_auxz00_1317 = 
BGl_showzd2statz12zc0zzinline_walkz00(); 
return 
BBOOL(BgL_auxz00_1317);} } 
}



/* inline-setup! */
BGL_EXPORTED_DEF obj_t BGl_inlinezd2setupz12zc0zzinline_walkz00(obj_t BgL_whatz00_3)
{ AN_OBJECT;
{ /* ./Inline/walk.scm 93 */
{ /* ./Inline/walk.scm 95 */
bool_t BgL_test2838z00_743;
BgL_test2838z00_743 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_whatz00_3, 
CNST_TABLE_REF(((long)0))); 
if(BgL_test2838z00_743)
{ /* ./Inline/walk.scm 95 */
BGl_za2inlinezd2modeza2zd2zzinline_walkz00 = 
CNST_TABLE_REF(((long)0)); 
return ( 
BGl_za2kfactorza2z00zzinline_walkz00 = 
PROCEDURE_ENTRY(BGl_za2inliningzd2kfactorza2zd2zzengine_paramz00)(BGl_za2inliningzd2kfactorza2zd2zzengine_paramz00, BGl_za2optimza2z00zzengine_paramz00, BEOA), BUNSPEC) ;}  else 
{ /* ./Inline/walk.scm 95 */
bool_t BgL_test2840z00_744;
BgL_test2840z00_744 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_whatz00_3, 
CNST_TABLE_REF(((long)6))); 
if(BgL_test2840z00_744)
{ /* ./Inline/walk.scm 95 */
return ( 
BGl_za2kfactorza2z00zzinline_walkz00 = 
BINT(((long)1)), BUNSPEC) ;}  else 
{ /* ./Inline/walk.scm 95 */
bool_t BgL_test2841z00_745;
BgL_test2841z00_745 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_whatz00_3, 
CNST_TABLE_REF(((long)7))); 
if(BgL_test2841z00_745)
{ /* ./Inline/walk.scm 95 */
BGl_za2inlinezd2modeza2zd2zzinline_walkz00 = 
CNST_TABLE_REF(((long)7)); 
return ( 
BGl_za2kfactorza2z00zzinline_walkz00 = 
BINT(((long)1)), BUNSPEC) ;}  else 
{ /* ./Inline/walk.scm 95 */
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3243z00zzinline_walkz00, BGl_string3244z00zzinline_walkz00, BgL_whatz00_3);} } } } } 
}



/* _inline-setup!3190 */
obj_t BGl__inlinezd2setupz123190zc0zzinline_walkz00(obj_t BgL_envz00_1151, obj_t BgL_whatz00_1152)
{ AN_OBJECT;
{ /* ./Inline/walk.scm 93 */
return 
BGl_inlinezd2setupz12zc0zzinline_walkz00(BgL_whatz00_1152);} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzinline_walkz00()
{ AN_OBJECT;
{ /* ./Inline/walk.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzinline_walkz00()
{ AN_OBJECT;
{ /* ./Inline/walk.scm 15 */
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23537), "inline_walk"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "inline_walk"); 
BGl_modulezd2initializa7ationz75zzengine_passz00(((long)10268), "inline_walk"); 
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)59211), "inline_walk"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "inline_walk"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)44246), "inline_walk"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "inline_walk"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "inline_walk"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "inline_walk"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)14260), "inline_walk"); 
BGl_modulezd2initializa7ationz75zzast_removez00(((long)12493), "inline_walk"); 
return 
BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long)63036), "inline_walk");} 
}

